#!/usr/bin/env zsh
function reloadzsh()
{
	clear
	. ~/.zshrc
}

function oneshotUp()
{
	oneshot -u $1
}

function fzf-run()
{
	dmenu_path|fzf-tmux --cycle|/usr/bin/env bash -e
}
function lk 
{
	cd "$(walk "$@")"
}

spf() {
    export SPF_LAST_DIR="${XDG_STATE_HOME:-$HOME/.local/state}/superfile/lastdir"
    command spf "$@"
    [ ! -f "$SPF_LAST_DIR" ] || {
        . "$SPF_LAST_DIR"
        rm -f -- "$SPF_LAST_DIR" > /dev/null
    }
}



function xcd()
{
	pth="$(xplr)"
	if [[ "$pth" != "$PWD" ]]; then
		if [[ -d "$pth" ]]; then
			cd "$pth"
		elif [[ -f "$pth" ]]; then
			cd "$(dirname "$pth")"
		fi
	fi
}


# git sync
function gsync() {
	git reset --hard HEAD~1
	git push -f
	git pull upstream $1 --rebase
	git push
}
# yadm sync
function ysync() {
	yadm reset --hard HEAD~1
	yadm push -f
	yadm pull upstream $1 --rebase
	yadm push
}

function yadmcb()
{
	yadm checkout $(yadm branch | cut -c 3- | fzf-tmux)
}

function yadmPush()
{
	yadm commit -a -m $1 ;yadm push
}

function mkdircd()
{
	mkdir -p $1
	cd $1
}

function fcd()
{
	cd $(ls -a|fzf --preview="ls -la {};cat {}")
}



function simpleClock()
{
	while true
	do
		tput clear
		date +"%H:%M:%S" |toilet -f bigascii12;
		sleep 1;
	done
}


function reloadX()
{
	xrdb ~/.Xresources
}

function gitcb()
{
	git checkout $(git branch | cut -c 3- | fzf-tmux)
}

function gitPush()
{
	git commit -a -m $1 ;git push
}

function cde()
{
    tgt=$(emacsclient -e '(file-name-directory (buffer-file-name (car (buffer-list))))'|sed s/\"//g)
    cd $tgt
}
